 var mySwiper = new Swiper ('.swiper-container', {
//					    direction: 'vertical',
//					    loop: true,
					    // 如果需要分页器
					    pagination: {
					      el: '.swiper-pagination',
					       clickable: true,
					    },
					  })        
			var token = $.cookie("token");
        	var table = $('#table1');
        	 $('#depID').val(0);
        	$(document).ready(function(){
//      		$('#firstOne').trigger("click");
				//右侧搜索事件
	        	initTable($('#depID').val());
	        	$('#rightSearch').click(function(){
	        			initTable($('#depID').val());
	        	})
				function initTable(ids) {
		            //先销毁表格
		            table.bootstrapTable('destroy');
		            //初始化表格,动态从服务器加载数据
		            table.bootstrapTable({
		                method: "get", //使用get请求到服务器获取数据
		                url: huayi.config.callcenter_url + "Repository/GetList", //获取数据的Servlet地址
		                contentType: "application/x-www-form-urlencoded", striped: true,
		                striped: true, //表格显示条纹
		                pagination: true, //启动分页
		                pageSize: 10, //每页显示的记录数
		                pageNumber: 1, //当前第几页
		                pageList: [10, 15, 25], //记录数可选列表
		                search: false, //是否启用查询
		                showColumns: false, //显示下拉框勾选要显示的列
		                showRefresh: false, //显示刷新按钮
		                sidePagination: "server", //表示服务端请求
		                //设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		                //设置为limit可以获取limit, offset, search, sort, order
		                queryParamsType: "undefined",
		                queryParams: function queryParams(params) { //设置查询参数
		                    var param = {
		                        page: params.pageNumber,
		                        pagesize: params.pageSize,
		                        token: token,
		                        deptid:ids,
		                        type:2,
		                        key:$('.rightSearchKey').val(),
//								starttime:	否	string	开始时间 （2017-01-09）
//								endtime:
		                    };
		                    return param;
		                },
		                onLoadSuccess: function () { //加载成功时执行
		                    //layer.msg("加载成功");
		                },
		                onLoadError: function () { //加载失败时执行
		                    //layer.msg("加载数据失败", { time: 1500, icon: 2 });
		                }
	            });
	        }
        		
        		if($('.allAdd').hasClass('active')){
        			$('.addTo').hide();
        		}else{
        			$('.addTo').show();
        		}
        		
        		$('.unitList li').click(function(){
        			$('.unitList li').removeClass('active')
        			$(this).addClass('active');
    				if($('.allAdd').hasClass('active')){
	        			$('.addTo').hide();
	        		}else{
	        			$('.addTo').show();
	        		}
        			var depId=$(this).attr('data-id');
        			var keyWord=$(this).find('div').html();
        			$('.rightTabKey').html(keyWord);
        			$('#depID').val(depId);
        			initTable(depId);
        		})
        		
        		//左侧单位鼠标移入效果
        		$('.unitList li').hover(function(){
        			$(this).addClass('acs');
        			
        		},function(){
        			$(this).removeClass('acs');
        		})
        		//右侧关键字鼠标移入效果
        		$('.keyList li').hover(function(){
        			$('.keyList li').removeClass('active')
        			$(this).addClass('active');
        			
        		},function(){
        			$(this).removeClass('active');
        		})
        		$('.addTo').click(function(){
        			var depid=$('#depID').val();
        			goAdd(depid)
        			
        		})
        		function goAdd(ids){
					//iframe窗
				    layer.open({
				      	type: 2,
				      	title: '新增知识库',
				      	area: ['70%', '60%'],
				      	content: 'newRepositoryAdd.html?depId='+ ids +''
				    });
				}
        	})
        	//操作
			function CZ(val,row){
				var Rows = row.Buttons;
	            var html = '';
	            for (var i = 0; i < Rows.length; i++) {
	
	                var html1 = huayi.config.kapArr[Rows[i].key * 1 - 1];
	                if (html1) {
	                    html1 = html1.replace("data", row.F_Id);
	                }
	                html += html1;
	            }
	            return html;
				
	        }
			//详情
			function goDetail(ids){
					//iframe窗
				    layer.open({
				      	type: 2,
				      	title: '查看知识库详情',
				      	area: ['70%', '60%'],
				      	maxmin:true,
				      	content: 'newRepositoryDetail.html?ids='+ ids
				    });
			}
			//审核
			function audit(ids){
	            layer.open({
	            	title: '知识库审核',
	                type: 2,
	                content: "auditText.html?id=" + ids, //iframe的url，no代表不显示滚动条
	                title: '知识库审核',
	                area: ['60%', '80%'], //宽高
	            });
			    //alert($(".auditText").val())
			}
			
			